Add ellipsis to "Publish changes" button when editing to indicate it's not the final step
Closed, ResolvedPublic1 Story Points

Description

It has been noted (at great length) in T44138 that the "Publish changes" button that's shown when editing is slightly unclear and can be misleading since pressing it opens the dialogue to add an edit summary rather than immediately publishing changes. An ellipsis should be added to that button to indicate that it is not the final step. This solution is not perfect, and it does not fully resolve the problem described in T44138, but it is a small step in the right direction. This ellipsis will not be added to the edit summary dialogue, since that is the final step.

The button you're shown whilst editing will be changed to look like this:

This button in the edit summary dialogue will continue to look like this:

Deskana created this task.Mar 15 2018, 5:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 15 2018, 5:37 PM
Deskana triaged this task as Normal priority.Mar 15 2018, 5:38 PM
Deskana set the point value for this task to 1.
Esanders added a subscriber: Esanders.EditedMar 19 2018, 2:22 PM

NB there are four messages for this button: [Save|Publish] [page|changes].

Save vs publish is for private vs public wikis, and page vs changes is for new vs existing pages.

We will need to create new versions of all these messages, as the non-ellipsis versions will still be required the save dialog itself, and the old editor.

Esanders claimed this task.Mar 19 2018, 2:31 PM

Change 420347 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/core@master] Create save/publish buttons labels with ellipses

https://gerrit.wikimedia.org/r/420347

Change 420352 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Create short save/publish buttons labels with ellipses

https://gerrit.wikimedia.org/r/420352

The above patches just create new messages, which should be merged before any changes to use the messages, to give translators time to create translations.

Change 420354 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Use ellipsis on toolbar save/publish button

https://gerrit.wikimedia.org/r/420354

Change 420352 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Create short save/publish buttons labels with ellipses

https://gerrit.wikimedia.org/r/420352

Change 420347 merged by jenkins-bot:
[mediawiki/core@master] Create save/publish buttons labels with ellipses

https://gerrit.wikimedia.org/r/420347

Change 420354 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Use ellipsis on toolbar save/publish button

https://gerrit.wikimedia.org/r/420354

This should probably go in Tech News.

Deskana closed this task as Resolved.Apr 18 2018, 11:04 AM
Nirzar reopened this task as Open.
Nirzar added a subscriber: Nirzar.

this user facing change did not go through design. can we make sure to add design tag and ping someone from design?

Deskana closed this task as Resolved.Tue, May 1, 8:07 AM

this user facing change did not go through design. can we make sure to add design tag and ping someone from design?

It did. The issue was discussed in T44138, and both Jan Dittrich and Pau Giner gave input about this solution; see T44138#3162853, T44138#3172023, T44138#3578131, T44138#3584006, and others. This task was specifically for implementation.